<?php
/**
 * @package Kurtztest
 */
/*
Plugin Name: Kurtztest for Mind One
Plugin URI: https://www.items.rs/kurtztest-word-press-plugin/
Description: Add Mind One Short Test to WP page
Version: 1.1
Author: ITEMS
Author URI: https://items.rs
License: GPLv2 or later
Text Domain: kurtztest
*/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Copyright 2012-2021 ITEMS
*/


// Make sure we don't expose any info if called directly
if ( !function_exists( 'add_action' ) ) {
    echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
    exit;
}

define( 'KURTZTEST_VERSION', '1.1' );
define( 'KURTZTEST__MINIMUM_WP_VERSION', '4.1' );
define( 'KURTZTEST__PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'KURTZTEST_DELETE_LIMIT', 100000 );



add_action('wp_enqueue_scripts', 'callback_for_setting_up_scripts');
function callback_for_setting_up_scripts() {
    wp_register_style( 'kurtztest_namespace', plugins_url('/css/kurtztest.css', __FILE__) );
    wp_enqueue_style( 'kurtztest_namespace' );
    wp_register_style( 'kurtztest_bootstrap_namespace', '//maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css');
    wp_enqueue_style( 'kurtztest_bootstrap_namespace' );
    wp_enqueue_script( 'kurtztest_gcharts_namespace', 'https://www.gstatic.com/charts/loader.js' );
    wp_enqueue_script( 'kurtztest_namespace', plugins_url('/js/kurtztest.js', __FILE__), array( 'jquery' ) );
}


add_shortcode('kurtztest_display_test', 'kurtztest_display_test_shortcode');
function kurtztest_display_test_shortcode( $atts = [], $content = null) {
    $atts = array_change_key_case( (array) $atts, CASE_LOWER );

    $content = '

    <div id="kurtztest_survey" data-base-url="'.$atts["base-url"].'" data-access-code="'.$atts["access-code"].'" data-mind-one-api-key="'.get_option('kurtztest_mind_one_API_key').'">
    </div>

    ';
    return $content;
}

add_action('admin_menu', 'registerOptionPage');
function registerOptionPage() {
  add_options_page('Kurtztest', 'Kurtztest', 'manage_options', 'kurtztestSettings', 'optionPageContent');
}
function optionPageContent() {
?>
<h2>Kurtztest</h2>
<p>These are the settings for your plugin.</p>
<form method="post" action="options.php">
  <?php
    settings_fields('kurtztestSettings');
  ?>
  <table class="form-table">
    <tbody>
      <tr>
        <th>API Key</th>
        <td>
          <input type="text" name="kurtztest_mind_one_API_key" id="kurtztest_mind_one_API_key" value="<?php echo get_option('kurtztest_mind_one_API_key');?>" />
          <br><span class="description"> Enter API key from www.mind-one.com.</span>
        </td>
      </tr>
    </tbody>
  </table>
  <?php
    submit_button();
  ?>
</form>
<?php
}
add_action('admin_init', 'registerPluginSettings');
function registerPluginSettings() {
  register_setting('kurtztestSettings', 'kurtztest_mind_one_API_key');
}
